shevek::shm< T >(3)

NAME
shevek::shm< T > -

This class implements an interface for sharing memory between processes.

SYNOPSIS

#include <shm.hh>

Inherits shevek::refbase.

  Public Member Functions

T * data ()
Access the shared data.
T const * data () const
Access the shared data.

  Static Public Member Functions

static Glib::RefPtr< shm< T > > create (std::string const &name, bool keep=false)
Create a new block of shared memory.
static Glib::RefPtr< shm< T > > open (std::string const &name, bool writable=true)
Open an existing block of shared memory.

Detailed Description

  template<typename T>class shevek::shm< T >
This class implements an interface for sharing memory between processes.

Member Function Documentation

  template<typename T > static Glib::RefPtr<shm <T> > shevek::shm< T >::create (std::string const &name, boolkeep = false) [inline, static]

Create a new block of shared memory. If keep is true, it will not be unlinked when the object is destroyed.

Author

Generated automatically by Doxygen for libshevek from the source code.